<table
  *ngIf="releases$ | async"
  mat-table
  [dataSource]="releases$ | async"
  class="mat-elevation-z0"
  multiTemplateDataRows
>
  <!--  Icon container  -->
  <ng-container matColumnDef="icon">
    <th mat-header-cell *matHeaderCellDef>Icon</th>
    <td mat-cell *matCellDef="let release">
      <div class="projectsCardIconWrapper">
        <div class="projectsCardIcon">
          <!-- <energy-platform-icon-generator
            [project]="release.project"
          ></energy-platform-icon-generator> -->
        </div>
      </div>
    </td>
  </ng-container>

  <!--  project name container  -->
  <ng-container matColumnDef="projectName">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.projectname' | translate }}
    </th>
    <td mat-cell *matCellDef="let release">{{ release.project.name }}</td>
  </ng-container>

  <!--  version container  -->
  <ng-container matColumnDef="version">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.version' | translate }}
    </th>
    <td mat-cell *matCellDef="let release">
      {{ release.version }}
    </td>
  </ng-container>

  <!--  creation date container  -->
  <ng-container matColumnDef="startingTime">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.creationtime' | translate }}
    </th>
    <td mat-cell *matCellDef="let release">
      {{ dateFormatter.getDateInRightFormat(release.project.creationDate) }}
    </td>
  </ng-container>

  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.action' | translate }}
    </th>
    <td mat-cell *matCellDef="let project" (click)="$event.stopPropagation()">
      <button (click)="publishToGit(project)" color="accent" mat-raised-button>
        {{ 'adminProjManage.accept' | translate }}
      </button>
      <button
        (click)="discardPublishRequest(project)"
        mat-raised-button
        color="warn"
      >
        {{ 'adminProjManage.decline' | translate }}
      </button>
    </td>
  </ng-container>

  <ng-container matColumnDef="expandedDetail">
    <td
      mat-cell
      *matCellDef="let release"
      [attr.colspan]="columnsToDisplay.length"
    >
      <div
        class="example-element-detail"
        [ngClass]="{ 'element-expanded': release.project === expandedElement }"
        [@detailExpand]="
          release.project === expandedElement ? 'expanded' : 'collapsed'
        "
      >
        <div class="project-info">
          <div class="project-single-info">
            <span class="project-single-info-title">Status: </span>
            {{ release.project.projectStatus }}
          </div>
          <div
            class="project-single-info"
            *ngIf="release.project.creator.organization"
          >
            <span class="project-single-info-title">Organization: </span>
            {{ release.project.creator.organization.name }}
          </div>
          <div class="project-single-info">
            <span class="project-single-info-title"
              >{{ 'adminprojects.usercreator' | translate }}:
            </span>
            {{
              release.project.creator.firstName +
                ' ' +
                release.project.creator.lastName
            }}
          </div>
          <div class="project-single-info">
            <button
              [routerLink]="['/app', 'project', release.project.id]"
              mat-raised-button
              color="primary"
            >
              {{ 'adminProjManage.toDetailPage' | translate }}
            </button>
          </div>
        </div>
      </div>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
  <tr
    mat-row
    *matRowDef="let element; columns: columnsToDisplay"
    class="example-element-row"
    [style.backgroundColor]="element === expandedElement ? '#eeeeee' : ''"
    [class.example-expanded-row]="expandedElement === element"
    (click)="expandedElement = expandedElement === element ? null : element"
  ></tr>
  <tr
    mat-row
    *matRowDef="let row; columns: ['expandedDetail']"
    class="example-detail-row"
  ></tr>
</table>
